from enum import Enum
__all__ = ('Chapters', 'Editions')


class Chapters(Enum):
    fatiha =        1
    baqarah =       2
    imran =         3
    nisa =          4
    maidah =        5
    anaam =         6
    araaf =         7
    anfal =         8
    tawbah =        9
    yunus =         10
    hud =           11
    yusuf =         12
    raad =          13
    ibrahim =       14
    hijr =          15
    nahl =          16
    israa =         17
    kahf =          18
    maryam =        19
    taahaa =        20
    anbiyaa =       21
    hajj =          22
    muminun =       23
    nur =           24
    furqaan =       25
    shuara =        26
    naml =          27
    qasas =         28
    ankaboot =      29
    rum =           30
    luqman =        31
    sajda =         32
    ahzab =         33
    sabaa =         34
    fatir =         35
    yasin =         36
    saffat =        37
    saad =          38
    zumar =         39
    ghafir =         40
    fussilat =      41
    shoora =        42
    zukhruf =       43
    dukhan =        44
    jathiyaa =      45
    ahqaaf =        46
    muhammad =      47
    fath =          48
    hujurat =       49
    qaaf =          50
    dhariyat =      51
    toor =          52
    najm =          53
    qamar =         54
    rahman =        55
    waqia =         56
    hadeed =        57
    mujadila =      58
    hashr =         59
    mumtahinah =    60
    saff =          61
    jumuah =        62
    munafiqoon =     63
    taghaboon =     64
    talaq =         65
    tahrim =        66
    mulk =          67
    qalam =         68
    haqqa =         69
    maaarij =       70
    nuh =           71
    jinn =          72
    muzzammil =     73
    muddathir =     74
    qiyamah =       75
    insaan =        76
    mursalaat =     77
    nabaa =         78
    naziaat =       79
    abasa =         80
    takwir =        81
    infitar =        82
    mutaffifin =      83
    inshiqaaq =     84
    burooj =        85
    tariq =         86
    alaa =          87
    ghashiyah =     88
    fajr =          89
    balad =         90
    shams =         91
    layl =          92
    duhaa =         93
    sharh =         94
    tin =           95
    alaq =          96
    qadr =          97
    bayyinah =      98
    zalzalah =      99
    aadiyaat =      100
    qaariah =       101
    takathur =      102
    asr =           103
    humazah =       104
    fil =            105
    quraysh =       106
    maaoon =        107
    kawthar =       108
    kafirun =        109
    nasr =          110
    masad =         111
    ikhlas =        112
    falaq =         113
    nas =           114


class Editions(Enum):
    muyassar =      "ar.muyassar"
    mammadaliyev =  "ar.mammadaliyev"
    musayev =       "az.musayev"
    bengali =       "bn.bengali"
    hrbek =         "cs.hrbek"
    nykl =          "cs.nykl"
    aburida =       "de.aburida"
    bubenheim =     "de.bubenheim"
    khoury =        "de.khoury"
    zaidan =        "de.zaidan"
    divehi =        "dv.divehi"
    en_ahmedali =   "en.ahmedali"
    ahmedraza =     "en.ahmedraza"
    arberry =       "en.arberry"
    en_asad =       "en.asad"
    daryabadi =     "en.daryabadi"
    hilali =        "en.hilali"
    pickthall =     "en.pickthall"
    qaribullah =    "en.qaribullah"
    sahih_international = "en.sahih"
    sarwar =        "en.sarwar"
    yusufali =      "en.yusufali"
    fa_ayati =      "fa.ayati"
    fooladvand =    "fa.fooladvand"
    ghomshei =      "fa.ghomshei"
    makarem =       "fa.makarem"
    hamidullah =    "fr.hamidullah"
    gumi =          "ha.gumi"
    hindi =         "hi.hindi"
    indonesian =    "id.indonesian"
    piccardo =      "it.piccardo"
    japanese =      "ja.japanese"
    korean =        "ko.korean"
    asan =          "ku.asan"
    abdulhameed =   "ml.abdulhameed"
    keyzer =        "nl.keyzer"
    berg =          "no.berg"
    bielawskiego =  "pl.bielawskiego"
    elhayek =       "pt.elhayek"
    grigore =       "ro.grigore"
    kuliev =        "ru.kuliev"
    osmanov =       "ru.osmanov"
    porokhova =     "ru.porokhova"
    amroti =        "sd.amroti"
    abduh =         "so.abduh"
    ahmeti =        "sq.ahmeti"
    mehdiu =        "sq.mehdiu"
    nahi =          "sq.nahi"
    bernstrom =     "sv.bernstrom"
    barwani =       "sw.barwani"
    tamil =         "ta.tamil"
    tg_ayati =      "tg.ayati"
    thai =          "th.thai"
    ates =          "tr.ates"
    bulac =         "tr.bulac"
    diyanet =       "tr.diyanet"
    golpinarli =    "tr.golpinarli"
    ozturk =        "tr.ozturk"
    tr_transliteration = "tr.transliteration"
    vakfi =          "tr.vakfi"
    yazir =         "tr.yazir"
    yildirim =      "tr.yildirim"
    yuksel =        "tr.yuksel"
    nugman =        "tt.nugman"
    saleh =         "ug.saleh"
    ur_ahmedali =   "ur.ahmedali"
    jalandhry =     "ur.jalandhry"
    jawadi =        "ur.jawadi"
    kanzuliman =    "ur.kanzuliman"
    qadri =         "ur.qadri"
    sodik =         "uz.sodik"
    en_maududi =    "en.maududi"
    shakir =        "en.shakir"
    english_transliteration = "en.transliteration"
    cortes =        "es.cortes"
    ansarian =      "fa.ansarian"
    simple =        "quran-simple"
    simple_clean =  "quran-simple-clean"
    simple_enhanced = "quran-simple-enhanced"
    simple_min =    "quran-simple-min"
    uthmani_min =   "quran-uthmani-min"
    uthmani =       "quran-uthmani"
    theophanov =    "bg.theophanov"
    mlivo =         "bs.mlivo"
    bahrampour =    "fa.bahrampour"
    es_asad =       "es.asad"
    khorramshahi =  "fa.khorramshahi"
    mojtabavi =     "fa.mojtabavi"
    farooq =        "hi.farooq"
    muntakhab =     "id.muntakhab"
    basmeih =       "ms.basmeih"
    abuadel =       "ru.abuadel"
    krachkovsky =   "ru.krachkovsky"
    muntahab =      "ru.muntahab"
    sablukov =      "ru.sablukov"
    junagarhi =     "ur.junagarhi"
    ur_maududi =    "ur.maududi"
    jian =          "zh.jian"
    majian =        "zh.majian"
    khorramdel =    "fa.khorramdel"
    moezzi =        "fa.moezzi"
    korkut =        "bs.korkut"
    jalalayn =      "ar.jalalayn"
    tajweed =       "quran-tajweed"
    wordbyword =    "quran-wordbyword"
    abdulbasitmurattal = "ar.abdulbasitmurattal"
    abdullahbasfar = "ar.abdullahbasfar"
    abdurrahmaansudais = "ar.abdurrahmaansudais"
    abdulsamad =    "ar.abdulsamad"
    shaatree =      "ar.shaatree"
    ahmedajamy =    "ar.ahmedajamy"
    alafasy =       "ar.alafasy"
    hanirifai =     "ar.hanirifai"
    husary =        "ar.husary"
    husarymujawwad = "ar.husarymujawwad"
    hudhaify =      "ar.hudhaify"
    ibrahimakhbar = "ar.ibrahimakhbar"
    mahermuaiqly = "ar.mahermuaiqly"
    minshawi =      "ar.minshawi"
    minshawimujawwad = "ar.minshawimujawwad"
    muhammadayyoub = "ar.muhammadayyoub"
    muhammadjibreel = "ar.muhammadjibreel"
    saoodshuraym =  "ar.saoodshuraym"
    walk =          "en.walk"
    hedayatfarfooladvand = "fa.hedayatfarfooladvand"
    parhizgar =     "ar.parhizgar"
    khan =          "ur.khan"
    chinese =       "zh.chinese"
    leclerc =       "fr.leclerc"
    kids =          "quran-kids"
    corpus_qd =     "quran-corpus-qd"
    naseemismail =  "si.naseemismail"
    buck =          "quran-buck"
    mazhonggang =   "zh.mazhonggang"
    aymanswoaid =   "ar.aymanswoaid"
    wordbyword2 =   "quran-wordbyword-2"
    arabic =        "quran-unicode"
    uthmani_quran_academy = "quran-uthmani-quran-academy"

